Skip to main content

DeletePublicAccessBlock

Removes the PublicAccessBlock configuration from the specified bucket.

Description​

The DeletePublicAccessBlock operation removes the PublicAccessBlock configuration from a bucket. After this operation completes, the specified bucket will no longer have the public access block settings applied to it.

note
  • To use this operation, you must have the s3:PutBucketPublicAccessBlock permission.
  • This operation will succeed even if there is no PublicAccessBlock configuration on the bucket.
  • After deleting the PublicAccessBlock configuration, the bucket's access will be determined by its bucket policy and ACL settings.
  • This operation requires the caller to authenticate.

Request Syntax​

DELETE /?publicAccessBlock HTTP/1.1
Host: BucketName.qstorage.quilibrium.com
x-amz-expected-bucket-owner: OwnerAccountId
Values in italics indicate user input and should be replaced with actual values.

This operation does not have a request body.

Request Parameters​

Headers​

NameDescriptionRequiredType
x-amz-expected-bucket-ownerThe account ID of the expected bucket ownerNotext

Examples​

Example 1: Delete public access block configuration from a bucket​

DELETE /?publicAccessBlock HTTP/1.1
Host: my-bucket.qstorage.quilibrium.com
Values in italics indicate user input and should be replaced with actual values.
HTTP/1.1 204
Values in italics indicate variable response values.

Response Syntax​

HTTP/1.1 204
Values in italics indicate variable response values.

Response Elements​

Response Headers​

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

Special Errors​

Error CodeDescription
NoSuchBucketThe specified bucket does not exist
403Forbidden. Authentication failed or you do not have permission to delete the public access block configuration

Permissions​

You must have the s3:PutBucketPublicAccessBlock permission.

Try It Out​

Test DeletePublicAccessBlock

Delete the public access block configuration from a bucket.

Coming Soon

This feature is currently under development and will be available soon.